import { PublicKey, TransactionInstruction } from "@solana/web3.js";
import { Program } from "@coral-xyz/anchor";
import { Staking } from "../artifacts/staking";
export type ClaimParams = {
    accounts: {
        user: PublicKey;
    };
};
export declare function claim(program: Program<Staking>, params: ClaimParams): Promise<TransactionInstruction>;
