import { PublicKey, TransactionInstruction } from "@solana/web3.js";
import { Program } from "@coral-xyz/anchor";
import { Staking } from "../artifacts/staking";
export type UnlockParams = {
    accounts: {
        user: PublicKey;
    };
    inputs: {
        index: number;
        vaultIndex: number;
    };
};
export declare function unlock(program: Program<Staking>, params: UnlockParams): Promise<TransactionInstruction>;
