import { PublicKey, TransactionInstruction } from "@solana/web3.js";
import { Program } from "@coral-xyz/anchor";
import { Staking } from "../artifacts/staking";
export type InitUserParams = {
    accounts: {
        user: PublicKey;
    };
    inputs: {
        bump: number;
    };
};
export declare function initUser(program: Program<Staking>, params: InitUserParams): Promise<TransactionInstruction>;
