import { PublicKey, TransactionInstruction } from "@solana/web3.js";
import { BN, Program } from "@coral-xyz/anchor";
import { Staking } from "../artifacts/staking";
export type WithdrawParams = {
    accounts: {
        user: PublicKey;
    };
    inputs: {
        withdrawPositionBump: number;
        index: number;
        amount: BN;
    };
};
export declare function withdraw(program: Program<Staking>, params: WithdrawParams): Promise<TransactionInstruction>;
